﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using System.Collections.ObjectModel;
using System.Diagnostics;
using Infragistics;
using System.ComponentModel;
using Infragistics.Controls.Schedules.Primitives;

namespace TestProject
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
        AppointmentItem ai;
		public MainWindow()
		{
			var data = new ScheduleData();
			data.Resources.Add(new ResourceItem { Id = "0", Name = "Zero" });
			data.Resources.Add(new ResourceItem { Id = "1", Name = "One" });

			data.Calendars.Add(new ResourceCalendarItem { Id = "0", Name = "Main", OwningResourceId = "0" });
			data.Calendars.Add(new ResourceCalendarItem { Id = "1", Name = "Main", OwningResourceId = "1" });

			DateTime now = DateTime.Now.ToUniversalTime();


            ai = new AppointmentItem { Id = "0", OwningResourceId = "0", OwningCalendarId = "0", Description = "This is when the app started", Start = now, End = now.AddMinutes(30), Subject = "Now" };
			data.Appointments.Add(ai);
			data.Appointments.Add(new AppointmentItem { Id = "1", OwningResourceId = "0", OwningCalendarId = "0", Description = "This will happen later", Start = now.AddHours(1), End = now.AddHours(1).AddMinutes(30), Subject = "Later" });

			this.DataContext = data;

			InitializeComponent();
		}

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ai.Subject = "New Subject";
            ai.End = DateTime.Now.ToUniversalTime().AddMinutes(45);
            
        }
	}
}

